#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <assert.h>

#define BLOCKSIZE (4096)

int main(int argc, char *argv[])
{
    if (argc != 3) {
	fprintf(stderr, "usage: truncate <filename> <new size>\n"); exit(1);
    } 
    char *file = argv[1];
    int size = atoi(argv[2]);
    
    int fd = open(file, O_WRONLY); assert(fd > -1);
    int rc = ftruncate(fd, size * BLOCKSIZE);
assert(rc != -1);
    (void) close(fd);
    
    return 0;
}

