#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <assert.h>

#define BLOCKSIZE (4096)

int main(int argc, char *argv[])
{
    if (argc != 3) {
	fprintf(stderr, "usage: unlink <file> <open before>\n"); exit(1);
    } 
    char *file = argv[1];
    int openFirst = atoi(argv[2]);
	int fd = 0;    
	struct stat buf;

	if (openFirst) {
		fd = open(file, O_RDONLY);
	}

    int rc = unlink(file);
assert(rc != -1);

	if (stat(file, &buf) != -1)
		printf("File exists\n");
	else
		printf("File deleted\n");
	
	if (fd != 0)
		close(fd);

	if (stat(file, &buf) != -1)
		printf("File exists\n");
	else
		printf("File deleted\n");
    
    return 0;
}

